
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialYoutube = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M940.736 770.304c-27.7441 19.9678 -105.056 46.4961 -429.008 46.4961c-347.152 0 -398.656 -30.4639 -415.185 -40.4316c-87.9678 -52.8477 -96.3193 -286.815 -97.0869 -334.256c1.05566 -62.6562 11.1836 -271.12 97.0234 -322.688 c16.4961 -9.93555 67.7119 -40.2236 415.248 -40.2236c324.16 0 401.376 26.4004 429.008 46.2881c74.9756 53.9355 83.5996 239.68 83.8076 317.439c-0.192383 62.5283 -6.75195 271.872 -83.8071 327.376zM903.36 177.424 c-11.1523 -8.03223 -75.1855 -34.2227 -391.634 -34.2227c-305.936 0 -370.128 23.7441 -382.256 31.0557c-30.8799 18.5283 -63.4717 116.88 -66.0312 268.032c2.52832 150.816 35.5684 260.912 66.0967 279.216c12.1602 7.34375 76.5918 31.2793 382.191 31.2793 c316.192 0 380.4 -26.3682 391.633 -34.4326c27.4082 -19.7441 56.752 -123.68 57.1836 -275.632c-0.431641 -154.336 -29.9678 -245.712 -57.1836 -265.296zM720.415 473.17l-287.934 176.689c-9.9043 5.96777 -22.2246 6.12793 -32.2568 0.463867 c-10.0645 -5.67969 -16.2881 -16.3359 -16.2881 -27.8721v-353.44c0 -11.5361 6.22363 -22.1924 16.2881 -27.8721c4.87988 -2.75195 10.3203 -4.12793 15.7119 -4.12793c5.71191 0 11.4717 1.53613 16.5273 4.5918l287.936 176.752 c9.59961 5.80762 15.4717 16.1914 15.4717 27.4072s-5.85645 21.6318 -15.4561 27.4083zM447.953 325.699v240.097l194 -120.032z"/></g>
    </Icon>
);

export default SlSocialYoutube;
